// LED RED 7pin
// LED YELLOW 8pin
// LED GREEN 9pin
// bluetooth RXD 13pin
// bluetooth TXD 12pin

#include <SoftwareSerial.h>
#define DELAY_TIME 1000
SoftwareSerial SerialB(12, 13);

int led_R = 7;
int led_Y = 8;
int led_G = 9;
int autoLED = 0;

void setup() {
  Serial.begin(9600);
  SerialB.begin(9600);

  pinMode(led_R, OUTPUT);
  pinMode(led_Y, OUTPUT);
  pinMode(led_G, OUTPUT);
}

void TrafficAuto() {
  digitalWrite(led_R, HIGH);
  autoLED = 1;
  SerialB.print(autoLED);
  delay(DELAY_TIME);
  digitalWrite(led_R, LOW);

  digitalWrite(led_Y, HIGH);
  autoLED = 2;
  SerialB.print(autoLED);
  delay(DELAY_TIME);
  digitalWrite(led_Y, LOW);

  digitalWrite(led_G, HIGH);
  autoLED = 3;
  SerialB.print(autoLED);
  delay(DELAY_TIME);
  digitalWrite(led_G, LOW);
}

void loop() {
  char blue_input;
  
  if(SerialB.available()) {
    blue_input = SerialB.read();
    Serial.print(blue_input);
    digitalWrite(led_R, LOW);
    digitalWrite(led_Y, LOW);
    digitalWrite(led_G, LOW);
    
    if(blue_input == 'R') {  // RED
      digitalWrite(led_R, HIGH);
      digitalWrite(led_Y, LOW);
      digitalWrite(led_G, LOW);
    }
    if(blue_input == 'Y') {  // YELLOW
      digitalWrite(led_R, LOW);
      digitalWrite(led_Y, HIGH);
      digitalWrite(led_G, LOW);
    }
    if(blue_input == 'G') {  // GREEN
      digitalWrite(led_R, LOW);
      digitalWrite(led_Y, LOW);
      digitalWrite(led_G, HIGH);
    }
    if(blue_input == 'A') {
      TrafficAuto();
      SerialB.print(4);
    }
    if(blue_input == 'O') {
      SerialB.print(5);
    } 
  }
}
